Bug 463583 - [LTC 6.0 FEAT] 201162:CMM2 Merge for Upstream Integration (Full version)
[LTC 6.0 FEAT] 201162:CMM2 Merge for Upstream Integration (Full version)
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
s390x All
high Severity high
: alpha
: ---
Assigned To: Hans-Joachim Picht
Martin Jenner
Depends On:
Blocks: 356741 474542
  Show dependency treegraph
Reported: 2008-09-23 17:51 EDT by IBM Bug Proxy
Modified: 2009-08-20 11:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-20 11:25:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rhel6-cmm2.diff (74.63 KB, text/plain)
2009-04-20 08:41 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2008-09-23 17:51:14 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:04 EDT
1. Feature Overview:
Feature Id:	[201162]
a. Name of Feature:	CMM2 Merge for Upstream Integration (Full version)
b. Feature Description
Implement collaborative memory management between Linux and the z/VM hypervisor

2. Feature Details:
Sponsor:	zSeries

Arch Specificity: Both
Affects Core Kernel: Yes
Delivery Mechanism: Backport
Category:	zSeries
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Rejected
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.26

3. Business Case
Optimizing Memory Usage in constraint situations, improving the Scalability of a Linux Virtual
Server Environment. Upstream merge.

4. Primary contact at Red Hat: 
John Jarvis

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-02 16:13:20 EDT
'Upstream acceptance: Rejected'?
Comment 2 IBM Bug Proxy 2008-11-10 04:01:15 EST
Hello Red Hat,

the last try to bring it upstream:

there were no words of rejections, but the mm developers did not have at that time time to review it, and although for some people look interesting, it seemed complex. So the outcome is that nobody actually say "approved".

We would then, if you are interested in this feature, deliver a patch against the kernel that RHEL 6 will have.

Thank you!
Gonzalo Muelas Serrano.
Comment 3 Bill Nottingham 2008-11-10 12:27:16 EST
For anything against the MM subsystem (and nearly all things in general), it really needs to be upstream, not carried as a patch.
Comment 4 IBM Bug Proxy 2008-12-10 14:21:08 EST
Has any decision been made about this?

We have a customer - Homeland Security - who are very anxious to get cmma into RHEL .  They have been following the various online discussions closely and since everything has become quiet, would like to know the status of the request.
Comment 5 John Jarvis 2008-12-10 16:16:15 EST
No decision has been made and we continue to follow the upstream acceptance.
Comment 6 IBM Bug Proxy 2008-12-11 03:51:56 EST
More info from Red Hat Service for RHEL 5.x:
IBM LTC Bug 50442   -  RHBZ 474542: [Reverse Mirror] CMM2/CMMA with RHEL on z
Comment 8 IBM Bug Proxy 2009-04-20 08:41:09 EDT
Created attachment 340334 [details]

------- Comment on attachment From hans@linux.vnet.ibm.com 2009-04-20 08:38 EDT-------

Added patch.
Comment 9 IBM Bug Proxy 2009-08-20 03:50:35 EDT
------- Comment From mgrf@de.ibm.com 2009-08-20 03:43 EDT-------
Hello Red Hat,
This is not accepted upstream and will not be further pursued upstream.
Therefore closing this  feature request for RHEL 6.
Comment 10 John Jarvis 2009-08-20 11:25:35 EDT
Closing feature request to reflect IBM's dropping of this feature.

Note You need to log in before you can comment on or make changes to this bug.